Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161542 - Colors messed up with video players
Summary: Colors messed up with video players
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 04:52 UTC by William Lovaton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 00:00:55 UTC


Attachments (Terms of Use)
This is my log file (deleted)
2005-06-27 00:08 UTC, William Lovaton
no flags Details
This is my config file (deleted)
2005-06-27 00:13 UTC, William Lovaton
no flags Details

Description William Lovaton 2005-06-24 04:52:56 UTC
Description of problem:
I upgraded a few days ago from FC3 to FC4 and so far it has been a good distro.
But I have some problems with video files (ogg files and realplayer).  All those
videos look with very bad colors, kind of black/white, but not. :-)  The color
of the videos are completely messed up.

I tried the videos with totem (gstreamer): the video looks bad and the sound is
worse (ogg files).

Tried with HelixPlayer: video still the same but sound is good (ogg files).

The same with realplayer: video looks bad, sound is good (.rm .ram files).

Just for the record, the videos I have are the ones from GUADEC conference in
stuttgart.  I played them with FC3 and the colors were good, the sound was good
but the reproduction was problematic, it skipped some frames (which still
happens in FC4 and Ubuntu hoary).

I'm not sure if xorg is the culprit but like you can see gstreamer doesn't seem
to be the problem.  I havent updated to latest xorg in the updates repository,
I'll do it tomorrow night and will update the bug report.

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-31

How reproducible:
Always

Steps to Reproduce:
1. Play a video file
2.
3.

Comment 1 Mike A. Harris 2005-06-24 16:39:15 UTC
Upgrade to the current erratum, and if the problem persists, attach your
X server log and config file (always do that for X bug reports) as individual
uncompressed file attachements.

Also, please review bug #161242 and test the workaround present in that
bug report and provide feedback here.  If the test does not change anything,
revert the module back to the original module.

Setting status to "NEEDINFO"

Comment 2 William Lovaton 2005-06-27 00:00:55 UTC
Well, I made a clean install from FC3 to FC4.  I backed up my .gconf directory
to keep my settings (specially for evolution) and then restored it back after
installation.  I deleted that directory and started a fresh configuration...
that solved the problem, the colors are good now in every video player, even the
sound problem I mentioned in the report is fixed now.  Probably there was a
problem with my old setting in the new system.

The only thing that remains is a problem playing the videos from GUADEC 6. 
Those ogg files seem to be screwed, specially if I play them with a gstreamer
based player, the video is erratic, with fast motion and then normal motion, and
the video gets blocked very often until your move the slide button front and
back. basically they are unviewable.  I had problems with them in FC3 (xine),
Ubuntu and FC4 (GST).  The only player who seems to play them right is the Helix
Payer but there are some videos where the image and the sound is out of synch
for about 2 minutes or more, gstreamer seems to keep the sync though.

I'll report the gstreamer problems upstream.

For the record, the libvgahw library doesnt seem to affect me.  I am using an
nVidia GForce2 MX.  I'll close this bug report and just in case, I'll attach my
X log file and my xorg.conf file later.

Thanx,

-William

Comment 3 William Lovaton 2005-06-27 00:08:30 UTC
Created attachment 115999 [details]
This is my log file

Comment 4 William Lovaton 2005-06-27 00:13:36 UTC
Created attachment 116000 [details]
This is my config file

Right now I am using the nv drivers, later on I will be switching to the
propietary nVidia drivers.


Note You need to log in before you can comment on or make changes to this bug.